# Test ebuild for Activison ANet/Alink server, used for a whole lot
# of activision games, including Civ:CTP and CTP2.

DESCRIPTION="Server for Activision games"
HOMEPAGE="http://www.kegel.com/anet"
SRC_URI="http://www.kegel.com/anet/anet-0.10.tar.gz"

LICENSE="LGPL-2.1"
KEYWORDS="x86"
SLOT="0"

DEPEND="app-arch/zip"

src_unpack() {
	unpack ${A}
	cd ${S}
#	einfo "Applying Patch for error in build -- multi-line strings"
#	patch ${WORKDIR}/anet-0.10/src/aeh/analaeh/build < ${FILESDIR}/${P}-error.diff
	einfo "Applying patch to reduce build time"
	patch ${WORKDIR}/${P}/Makefile < ${FILESDIR}/${P}-build.diff
	einfo "Applying patch to fix multi-line string literal"
	patch ${WORKDIR}/${P}/src/aeh/analaeh/aehsplit.c < ${FILESDIR}/${P}-string.diff
	einfo "Applying patch to fix strict aliasing"
	patch ${WORKDIR}/${P}/src/aeh/analaeh/build < ${FILESDIR}/${P}-alias.diff
}

src_compile() {
	cd ${W}/${P}
	make || die
}

src_install() {
	mkdir ${D}/etc
	mkdir ${D}/etc/anet
	cp ${FILESDIR}/servers.static ${D}/etc/anet/
	cp ${FILESDIR}/names.txt ${D}/etc/anet/
	cp ${FILESDIR}/apps.txt ${D}/etc/anet/
	cp ${FILESDIR}/types.txt ${D}/etc/anet/
	mkdir ${D}/usr
	mkdir ${D}/usr/games
	mkdir ${D}/usr/games/bin
	cp ${WORKDIR}/${P}/linux86/bin/server ${D}/usr/games/bin/anet
	cp ${WORKDIR}/${P}/linux86/bin/gtest ${D}/usr/games/bin/
	mkdir ${D}/etc/init.d
	mkdir ${D}/etc/conf.d
	cp ${FILESDIR}/anet.rc6 ${D}/etc/init.d/anet
	chmod o+x ${D}/etc/init.d/anet
	cp ${FILESDIR}/anet.confd ${D}/etc/conf.d/anet
	mkdir ${D}/var
	mkdir ${D}/var/run
	mkdir ${D}/var/run/anet
	chown games:games ${D}/var/run/anet
}

pkg_postinst() {
	einfo "To generate a servers.dat file suitable for sending to people,"
	einfo "connect to your server at least once with gtest -- this will"
	einfo "create a servers.dat file in the current working directory."
    einfo ""
	einfo "Be sre to run gtest with the '-n:dp.a' option, or else it will"
	einfo "not connect to any server."
}

